#
# spec file for package qtkeychain
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Klaas Freitag <freitag@owncloud.com>, ownCloud GmbH.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _soversion 1

Name:           qtkeychain
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel >= 4.6
Version:        0.7.0
Release:        lp150.1.3
Summary:        Platform-independent Qt API for storing passwords securely
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        https://github.com/frankosterfeld/qtkeychain/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Platform-independent Qt API for storing passwords securely.

If running, GNOME Keyring is used, otherwise qtkeychain tries to use KWallet (via D-Bus), if available.

%package -n lib%{name}%{_soversion}
Summary:        Platform-independent Qt API for storing passwords securely
Group:          Development/Libraries/C and C++

%description -n lib%{name}%{_soversion}
Platform-independent Qt API for storing passwords securely.

If running, GNOME Keyring is used, otherwise qtkeychain tries to use KWallet (via D-Bus), if available.

%package lang
Summary:        Platform-independent Qt API for storing passwords securely
Group:          Development/Libraries/C and C++
Requires:       libqtkeychain%{_soversion} = %{version}

%description lang
Platform-independent Qt API for storing passwords securely.

If running, GNOME Keyring is used, otherwise qtkeychain tries to use KWallet (via D-Bus), if available.

This package contains translation files for libqtkeychain.


%package devel
Summary:        Platform-independent Qt API for storing passwords securely
Group:          Development/Libraries/C and C++
Requires:       libqtkeychain%{_soversion} = %{version}

%description devel
Platform-independent Qt API for storing passwords securely.

If running, GNOME Keyring is used, otherwise qtkeychain tries to use KWallet (via D-Bus), if available.

This package contains development files for libqtkeychain.

%prep
%setup -q -n qtkeychain-%{version}

%build
mkdir build
pushd build

cmake .. \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=ON

make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
make DESTDIR=%{buildroot} install
popd

%post -n lib%{name}%{_soversion} -p /sbin/ldconfig

%postun -n lib%{name}%{_soversion} -p /sbin/ldconfig

%files -n lib%{name}%{_soversion}
%defattr(-,root,root)
%{_libdir}/libqtkeychain.so.*
%doc COPYING ReadMe.txt

%files lang
%defattr(-,root,root)
%{_prefix}/share/qt4/translations/qtkeychain_*.qm

%files devel
%defattr(-,root,root)
%{_includedir}/qtkeychain
%{_libdir}/cmake
%{_libdir}/libqtkeychain.so

%changelog
* Tue Jul 12 2016 ecsos@opensuse.org
- update to 0.7.0
* Tue Oct 28 2014 tittiatcoke@gmail.com
- Use the correct license.
* Wed Oct 22 2014 dev@dominik-schmidt.de
- Make the package openSUSE only
- Strip unneeded cruft from the spec file
* Tue Sep  2 2014 danimo@owncloud.com
- Detect GNOME keychain daemons presence using official API
- Fix kdewallet integration
- Don't request a new kwallet if there already is one
* Mon Aug 18 2014 jw@owncloud.com
- fixed copyright in specfile
* Wed Jul 16 2014 jw@owncloud.com
- Rename libqtkeychain-dev to qtkeychain-dev
- Adapted debian.rules to match the new name.
* Fri Mar 14 2014 danimo@owncloud.com
- Bump to 0.3
* Thu Mar  6 2014 freitag@owncloud.com
- Obsolete also the upstream devel package.
* Thu Mar  6 2014 freitag@owncloud.com
- Obsolete the upstream qtkeychain package on Fedora.
* Thu Feb 20 2014 freitag@owncloud.com
- Added keyring.diff file.
* Thu Feb 20 2014 freitag@owncloud.com
- Added a patch to detect GNOME keyring on older distros.
* Tue Jan 28 2014 freitag@owncloud.com
- Fixed diff.
* Tue Jan 28 2014 freitag@owncloud.com
  * date release 20140128:
  - delete job fixes
  - romanian translation
  - qt5 fixes
  - error reporting fixes
    and other fixes.
* Mon Sep  2 2013 freitag@owncloud.com
- Add patches to the debian build through series file.
* Mon Sep  2 2013 freitag@owncloud.com
- Add patch to fix
  https://github.com/frankosterfeld/qtkeychain/issues/9
  until it's applied upstream.
* Mon Aug  5 2013 freitag@owncloud.com
- Added new tarball.
* Mon Aug  5 2013 freitag@owncloud.com
- removed unused patch.
* Mon Aug  5 2013 freitag@owncloud.com
- Updated to a more recent version of qtkeychain with gnomekeyring
  fixes included.
* Thu Apr 11 2013 freitag@owncloud.com
- Added patch to build with cmake 2.6 on CentOS and RHEL.
* Fri Jan 18 2013 freitag@owncloud.com
- Fixed dependency from dev package to main for deb builds.
* Thu Jan 17 2013 freitag@owncloud.com
- Fedora build fixed by removing build dep on kde4-filesystem.
* Thu Jan 17 2013 freitag@owncloud.com
- Update to first official version 0.1
* Thu Dec 13 2012 dev@dominik-schmidt.de
- clean up spec file
* Sat Dec  8 2012 freitag@owncloud.com
- First initial package for linux.
